CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::views::view_lock Class Reference

A class that allows to use the view withing the internal lock used inside pool class. More...

`#include <cppcms/views_pool.h>`

Inheritance diagram for cppcms::views::view_lock:

## Public Member Functions
| view_lock (std::string const &skin, std::string const &template_name, std::ostream &out, base_content &content)
| ~view_lock ()
template<typename View >
View & | use_view ()
base_view & | view ()

## Detailed Description

A class that allows to use the view withing the internal lock used inside pool class.

It is similar in its operation in creating the view class similarly to pool::render() but not calling base_view::render member function.

It is used with `<% using ... from ... %>` CppCMS template

New in CppCMS 1.2

## Constructor & Destructor Documentation

cppcms::views::view_lock::view_lock | ( | std::string const & | skin,
|  | std::string const & | template_name,
|  | std::ostream & | out,
|  | base_content & | content
| ) |  |

Create a view and lock pool's internal lock

cppcms::views::view_lock::~view_lock | ( |  | ) |

Delete the view and unlock the pool's lock

## Member Function Documentation

template<typename View >

View& cppcms::views::view_lock::use_view | ( |  | ) |
| inline

Shortcut to dynamic_cast<View &>(view())

base_view& cppcms::views::view_lock::view | ( |  | ) |

Get the underlying view object

The documentation for this class was generated from the following file:

- cppcms/views_pool.h